/** @type {import('tailwindcss').Config} */
module.exports = {
  content: [
    "./src/**/*.{html,ts}",
  ],
  theme: {
    extend: {
      colors: {
        // Primary Colors
        'deep-blue': "#0a1219",        // background
        'deepBlue': "#0a1219",         // background (alternative format)
        'deep-blue-light': "#121e27",  // secondary background
        'deepBlueLight': "#121e27",    // secondary background (alternative format)
        'deep-blue-contrast': "#1a2835", // cards, elements
        'deepBlueContrast': "#1a2835", // cards, elements (alternative format)

        // Accent Colors
        'emerald': "#10b981",         // primary buttons
        'emerald-dark': "#059669",    // button hover
        'emeraldDark': "#059669",     // button hover (alternative format)
        'emerald-light': "#34d399",   // highlights
        'emeraldLight': "#34d399",    // highlights (alternative format)

        // Text Colors
        'text-primary': "#ffffff",    // white
        'textPrimary': "#ffffff",     // white (alternative format)
        'text-secondary': "#94a3b8",  // light gray
        'textSecondary': "#94a3b8",   // light gray (alternative format)
        'text-tertiary': "#64748b",   // darker gray
        'textTertiary': "#64748b",    // darker gray (alternative format)

        // Additional Accents
        'accent-yellow': "#fbbf24",
        'accentYellow': "#fbbf24",    // (alternative format)
        'accent-red': "#ef4444",
        'accentRed': "#ef4444",       // (alternative format)
        'accent-purple': "#8b5cf6",
        'accentPurple': "#8b5cf6",    // (alternative format)
      },
    },
  },
  plugins: [],
};